using SoftwareInstallationContracts.BindingModels;
using SoftwareInstallationContracts.SearchModels;
using SoftwareInstallationContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SoftwareInstallationContracts.BusinessLogicsContracts
{
	public interface IMessageInfoLogic
	{
		List<MessageInfoViewModel>? ReadList(MessageInfoSearchModel? model);

		bool Create(MessageInfoBindingModel model);

		bool Update(MessageInfoBindingModel model);

		MessageInfoViewModel? ReadElement(MessageInfoSearchModel model);
	}
}
